:root {
    --bg1: #595959;
    /* --bg2: #919191; */
    --bg2: #00283e;
    --bg3: #000;
    /*--bg4: #E4E4E4;*/
    --bg4: #f0f1f2;
    --bg5: #242943;
    /*--land_ser_divW: 190px;*/
    --land_ser_divW: 220px;
    --icon_bg_n_text: #c1c8d2; 
    --icon_frame: #3e6c79;
    --icon_bg_n_text_active: #c9ebf3;
    --icon_frame_active: #3e6c79;

    --navText: #434343;
    --nav: 60px;
    --header_tab_div: 40px;
    --nav_width: 150px;
    --tabC1: #663399;
    --tabC2: #5f9ea0;
    --tabC3: #6495ed;

    --loginBtn: #417505;
    --loginBtnHover: rgb(65 117 5 / 70%);

    --rectangle_w: 640px;
    --rectangle_h: 360px;
    --square: 500px;
    --section_desc: 25pt;
}

body, html {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    font-size: 14px;
    color: white;
    font-family:"Roboto Condensed", "微軟正黑體", "sans-serif", "Yu Gothic", "SimHei" !important;
}

body {
    background-color: var(--bg5);
}

#main2Title {
    width: 90%;
    margin: 0 auto;
    font-size: 31px;
    font-weight: bold;
    line-height: 31px;
}

#nav {
    position: relative;
    width: 100%;
    height: var(--nav);
    background-color: var(--bg4);
}

.top-menu-link a {
    text-decoration: none;
    color: var(--icon_frame);
    margin-right: 30px;
    float: left;
    text-align: center;
    vertical-align: middle;
}

.top-menu-link a:hover {
    text-decoration: none;
    color: #71b4a4;
}

.top-menu-link div {
    text-decoration: none;
    color: var(--icon_frame);
    margin-right: 30px;
    float: left;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
}

.top-menu-link {
    position: absolute;
    right: 120px;
    top: 20px;
    color: var(--icon_frame);
    font-size: 15px;
}

.font-size-link {
    position: absolute;
    right: 80px;
    top:15px;
    line-height: 22px;
    vertical-align: bottom;
}

.font-size-link a {
    margin-right: 5px;
    text-decoration: none;
}

.font-size-link #chgFontS {
    font-size: 14px;
    color: red;
}

.font-size-link #chgFontM {
    font-size: 18px;
    color: #333;
}

.font-size-link #chgFontL {
    font-size: 22px;
    color: #333;
}

#main2 {
    display: none;
    width: 100%;
    height: 100%;
    background-image: url("../img/bg1.jpg");
    background-size: cover;
}

#main {
    position: relative;
    width: 100%;
    height: calc(100% - var(--nav));
    color: white;
}

.section {
    position: relative;
    width: 100%;
    max-width: none !important;
    padding-left: 0px;
    padding-right: 0px; 
    margin: auto;
    text-align: center;
    display: grid;
    background: fixed center/cover no-repeat; /* attachment, position/bg-size, repeat-style */
    overflow: hidden;
}
.section.dbsid {
    height: 100vh;
    min-height: 1200px;
}
#hero {
    background-image: linear-gradient(rgba(16, 16, 16, 0.5), rgba(16, 16, 16, 0.5)), url("../img/bg_hero.jpg");
}

#story {
    background-image: linear-gradient(rgba(16, 16, 16, 0.5), rgba(16, 16, 16, 0.5)), url("../img/bg_story.jpg");
}

#disclaimer {
    background-image: linear-gradient(rgba(16, 16, 16, 0.5), rgba(16, 16, 16, 0.5)), url("../img/bg_disclaimer.jpg");
}

.section-container {
    margin: 50px auto;
    width: fit-content;
}

.section-children-container {
    display: flex;
    justify-content: center;
    vertical-align: middle;
    text-align: center;
    width: 100vw;
}

.section-child {
    align-content: center;
    vertical-align: middle;
}

.logo-container {
    display: flex;
    vertical-align: middle;
}

.logo {
    position: absolute;
    margin-top: 4px;
}

.logo.csdi {
    width: 140px;
    left: 1%;
}

.logo.landsd {
    right: 1%;
    height: 50px;
}
.logo.landsd img {
    height: 100%;
}

.section-title {
    font-size: 50pt;
    text-shadow: 4px 4px 10px black;
    text-align: left;
    line-height: 1;
    letter-spacing: 2px;
    position: relative;
    padding: 20px 50px 20px 0;
}

.section-title.middle {
    text-align: center;
    padding: 50px;
}

.section-desc {
    font-size: var(--section_desc);
    text-align: left;
    line-height: 1;
    letter-spacing: 3px;
    position: relative;
    padding: 20px 50px 0 0;
}

.section-desc.bold {
    font-weight: bold;
}

.section-desc.smaller {
    font-size: calc(var(--section_desc) - 2pt);
}

.button-container {
    float: left;
}

.button {
    color: #000000;
    vertical-align: middle;
    /* align-content: center; */
    display: inline-block;
    border-radius: 25px;
    font-size: 20px;
    opacity: 0.6;
    background-color: #ffffff;
    line-height: 1;
    margin: 10px;
    cursor: pointer;
    
}

.button p {
    text-align: center;
    position: relative;
    top: 50%;
    -ms-transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
}

.button:hover {
    opacity: 1;
    font-weight: bold;
}

.button.jumpTo {
    width: 300px;
    height: 50px;
}

.button.jumpTo.left {
    float: left;
}

.story-panel-container {
    display: flex;
    flex-direction: row;
    overflow-x: auto;
}

.story-panel-container::-webkit-scrollbar {
    width: 15px;
}

.story-panel-container::-webkit-scrollbar-track {
    margin: 15px;
}
  
.story-panel-container::-webkit-scrollbar-thumb {
    border: 1px solid #b0c0d0;
    background-clip: padding-box;
    border-radius: 7px;
    background-color: rgba(255, 255, 255, 0.5);
}

.story-panel {
    padding: 1rem;
    margin: 1rem;
    background-color: rgba(0, 0, 0, .2);
    width: calc(var(--rectangle_w) + 30px);
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 0.75fr auto;
}

.button.popup {
    width: 220px;
    height: 50px;
}

.dashboard-link {
    text-decoration: none;
}

.dashboard-button {
    border-radius: 0px 20%;
    background-color: #ffffff;
    width: 280px;
    height: 420px;
    margin: 20px 20px;
    padding: 20px 20px;
}

 .dashboard-icon {
    position: relative;
    height: 80%;
    max-height: 80%;
    background-position: center;
    background-size: 100%;
    background-repeat: no-repeat;
    background-color: #ffffff;
    opacity: 0.8;
    margin: 0 auto;
}

.dashboard-icon.land {
    background-image: url("../img/LandInfo_V1.png");
}

.dashboard-icon.elderly {
    background-image: url("../img/Elderly Service_V1.png");
}

.dashboard-icon.baby {
    background-image: url("../img/Baby_V1.png");
}

.dashboard-text {
    display: grid;
	align-items: center;
    height: 20%;
    max-height: 20%;
    text-decoration: none;
    color: #000000;
    font-size: 22px;
    line-height: 25px;
    text-transform: uppercase;
}
 
.dashboard-button:hover .dashboard-icon {
    opacity: 1; 
}

.dashboard-button:hover .dashboard-text {
    font-weight: bold;
} 

.dashboard-button:hover {
    transform: scale(1.1);
    transform-origin: center;
    transition: all .2s ease-in-out;
} 

.video-container {
    display: flex;
    align-items: center;
    overflow: hidden;
    position: relative;
    z-index: 0;
}

.square {
    width: var(--square);
    height: var(--square);
}

.rectangle {
    width: fit-content; 
    height: var(--rectangle_h);
}

.rounded-corner {
    border-radius: 0px 45px 0px 0px;
}

#geofun, video {
    height: 100%;
}

.play-pause-button {
    cursor: pointer;
    position: absolute;
    top: calc(50% - 24px);
    left: calc(50% - 24px);
    width: 48px;
    height: 48px;
    border-radius: 100%;
    background: rgba(17, 23, 29, 0.4);
    transition: opacity 0.2s ease-out;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1;
    opacity: 0; 
    visibility: visible;
}

.video-seek {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 0;
    box-sizing: border-box;
    background: linear-gradient(0, rgba(17, 23, 29, 0.4) 0%, transparent 100%);
    color: white;
    transition: opacity 0.2s ease-out;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    z-index: 1;
    opacity: 0; 
    visibility: visible;
}

.video-seekbar-container {
    position: relative;
    flex-grow: 1;
}

.video-seekbar {
    position: absolute;
    top: calc(50% - 2px);
    left: 22px;
    right: 22px;
    height: 4px;
    background: rgba(255, 255, 255, 0.4);
    border-radius: 4px;
}

.video-seekbar-current {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    background: white;
    border-radius: 4px;
    width: 100%;
}

.video-seekbar-input {
    position: relative;
    display: block;
    box-sizing: border-box;
    margin: 0;
    width: 100%;
    height: 100%;
    padding: 16px 8px;
    appearance: none;
    background: none;
    direction: ltr;
}

.video-seekbar-input:hover {
    cursor: pointer;
}

.video-seekbar-input:active {
    cursor: grabbing;
}

.video-seekbar-input::-webkit-slider-thumb {
    appearance: none;
    box-sizing: border-box;
    width: 40px;
    height: 40px;
    border: 14px solid transparent;
    border-radius: 100%;
    background-clip: content-box;
    background-color: white;
    filter: drop-shadow(0 0 1px black);
    opacity: 1;
}

.video-container:hover .play-pause-button {
    opacity: 1;
}

.video-container:hover .video-seek {
    opacity: 1;
}

.disclaimer-container {
    border-radius: 25px;
    overflow: hidden;
    background-color: #b0c0d0;
    color: #000000;
    text-align: left;
    font-size: 18px;
    width: 60vw;
    margin: 0 auto;
}

.disclaimer {
    height: 500px;
    border-radius: 20px;
    overflow-y: scroll;
    padding: 40px;
}

.disclaimer::-webkit-scrollbar {
    width: 15px;
}

.disclaimer::-webkit-scrollbar-track {
    margin: 15px;
}
  
.disclaimer::-webkit-scrollbar-thumb {
    border: 1px solid #b0c0d0;
    background-clip: padding-box;
    border-radius: 7px;
    background-color: var(--bg5);
}

.info-container {
    text-align: left;
}

.info-header {
    font-weight: bold;
    font-size: 25pt;
    text-transform: uppercase;
}

.info {
    font-size: 15pt;
}

.modal{
    background-color: #b0c0d0;
    width: 650px;
    background: url(../img/6.jpg);
    position: fixed !important;
    left: 30%;
    top: 10%;
    height: auto !important;
    margin: 0 auto  !important;
    margin-top: 10%;
    border-radius: 6px;
}

.videModal{
    background: transparent !important;
    width: 650px;
    position: fixed !important;
    left: 30%;
    top: 10%;
    height: auto !important;
    margin: 0 auto  !important;
    margin-top: 10%;
    border-radius: 6px;
}

.modal.fade{
    top: 10%;
}

.modal-header{
    border:none;
    display: block !important;
}

.modal-title{
    width: 26%;
    float: left;
    font-size: 18px;
    line-height: 28px;
    padding: 10px;
    text-align: left;
    display: block;
    margin-bottom: 50px;
    margin-left: 10px;
    color: #ffffff;
}

.modal-content{
    position: relative;
    display: block;
    flex-direction: column;
    width: auto;
    pointer-events: auto;
    background-color: transparent; 
    background-clip: padding-box;
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 0.3rem;
    outline: 0;
}

.modal-body{
    font-size: 18px;
    color: #333333;
    display: none;
    width: 58%;
    float: right;
    background-color: #ffffff;
    margin-right: 3%;
    display: block;
    max-height: 500px;
    margin-top: 100px;
    overflow-y: scroll;
    margin-bottom: 20px;
}

.close {
    float: right;
    font-size: 20px;
    font-weight: bold;
    line-height: 20px;
    color: #000000;
    text-shadow: 0 1px 0 #ffffff;
    opacity: 0.8;
    filter: alpha(opacity=20);
    background: transparent;
    border: none;
}

.modal-dialog{
    max-width: 100%;
    margin: 0;
}

#goToTopArrow {
    display: none;
    position: fixed;
    bottom: 20px;
    right: 30px;
    z-index: 99;
    width: 50px;
    height: 50px;
    cursor: pointer;
    border-radius: 50%;
    background-color: rgb(17 35 30);
    background-position: center;
    background-repeat: no-repeat;
    background-image: url("../img/arrow_top.png");
    background-size: 25px;
}

#goToTopArrow:hover {
    background-color: #555;
}

#relatedPopup {
    width: 380px;
    padding:5px 20px;
    background-color: #b0c0d0;
    border: 6px solid #384058;
    margin: 0 auto;
    margin-top: 20px;
    position: fixed;
    right: 100px;
    z-index: 99;
    bottom: 10px;
    color: #333333;
    opacity: 0.9;
}

.popup-content {
    font-size: 14px;
    opacity: 1;
    padding: 5px;
}

#bulletPoint:before {
    content: "■ ";
    color: #f26622;
}

#browserPopup {
    display: none;
}

#relatedPopup .close-popup {
    position: absolute;
    width: 20px;
    height: 20px;
    top: 15px;
    right: 10px;
    background: url(../img/pro-icons.svg);
    background-position: -1319px -49px;
    border: 0;
}

.popup-title {
    font-size: 28px;
    font-weight: bold;
    padding-top:10px;
    padding-bottom:10px;
    display: inline-block;
}



@media only screen and (min-width: 100px) and (max-width: 1300px) {
    .section-children-container:not(#dashboardLinks, #contacts){
        flex-direction: column;
    }
    .video-container {
        margin: auto;
    }
    .square {
        transform: scale(0.8);
    }
    .rectangle {
        transform: scale(0.8);
    }
    .section-title {
        text-align: center;
    }
    .button-container {
        float: none;
    }
}

@media only screen and ((max-width: 1800px) or (max-height: 800px)) {
    #main {
        display: none;
    }

    #main2 {
        display: flex;
    }
}
